HDFED(1)

NAME
hdfed - edit the contents of an HDF File

SYNOPSIS
hdfed [-nobackup] [-batch] hdf_file

DESCRIPTION
hdfed allows experienced HDF users to manipulate the elements of an HDF file. These manipulations include

*   Selecting groups and showing information about them.

*   Dumping group information to output files.

*   Writing group data to output files.

*   Deleting groups from HDF files.

*   Inserting groups in HDF files.

*   Replacing elements of HDF files.

*   Editing the labels and descriptions of any element in an HDF file.

hdfed is designed primarily for users who need to know about HDF files at the level of individual data elements. It is not designed to provide a comprehensive high-level view of the contents of an HDF file - other tools and utilities should be used for that purpose. To use hdfed one should be familiar with the components of an HDF file covered in the HDF Specifications manual. The hdfed utility is loosely modeled on ed(1), the UNIX line editor. When hdfed is invoked, it prompts the user for commands, as does ed. Also, basic command syntax and description information is available to the user through hdfed. The most common hdfed commands are used to control the position in the HDF file and the format of the information provided. The initial view of the file under hdfed consists of a set of tag/reference number pairs. Although hdfed allows modification of tags and reference numbers within strict constraints, it will not allow the user to arbitrarily modify binary data in the file. The following terms and concepts must be understood in order to use hdfed correctly and will be used in the following discussion about hdfed.

*   The data object or object refers to an HDF data object and the data descriptor of that object. (i.e., tags, reference numbers, offsets, or lengths.)

*   The data or data element refers to the record that the data descriptor points to. For a precise definition of the data that is associated with a given tag consult the HDF Specifications and Developer's Guide v3.2 from the HDF WWW home page at http://hdf.ncsa.uiuc.edu/.

*   The group refers to a predefined collection of data objects that correspond to a particular application. For example, a raster image group refers to the collection of objects that are used to store all of the information in a raster image set.

Once an HDF file has been opened by hdfed, the following operations can be performed on the data file, among others:

*   Select an HDF object to examine more closely.

*   Move forward or backward within the HDF file.

*   Get information about an object. (tag, reference number, size, label)

*   Display a raster image using the ICR protocol.

*   Display the contents of any object.

*   Delete an object.

*   Annotate an object with a label or description.

*   Write an object to a second HDF file.

*   Write data elements in binary form to a non-HDF file.

*   Close the file and exit, or open a new file.

hdfed commands are documented in the Users Guide section on Command-line Utilities.

OPTIONS

-nobackup
    Make no backup file. If this option is omitted, a backup file is automatically created.

-batch
    Input to hdfed is a stream of hdfed commands, rather than interactively. The -batch flag is useful when a group of commonly-used commands are included in a UNIX shell script. The following is an example of such a script, using the C-shell, that lists information about the groups in a specified HDF file.
            #!/bin/csh -f
            set file=$1
            shift
            hdfed -batch $file -nobackup << EOF
            info -all group $*
            close
            quit
            EOF
            echo ""

-help
    Output usage information, as well as a quick list of the hdfedj commands.

SEE ALSO
hdf(5), ed(1), The HDF Users Guide: /usr/share/doc/libhdf4g/html-userguide/Utils2.html#33.